Subject: bug#36279: 26.2.90; (process-attributes nonexistent-pid) segmentation fault

From: Noam Postavsky <[email-masked]>
Date: Tue, 18 Jun 2019 09:31:07 -0400

Xu Chunyang <[email-masked]> writes:

> Emacs crashes when I run the following (the PID 123456 doesn't exist)
>
>     (process-attributes 123456)
>
> And I can reproduce it from Emacs -Q:
>
>     ~ $ emacs -Q --batch --eval '(print (process-attributes 123456))'
>     Fatal error 11: Segmentation faultzsh: segmentation fault  emacs -Q --batch --eval '(print (process-attributes 123456))'
>     ~ $ emacs --version | head -1
>     GNU Emacs 26.2.90
>     ~ $
>
>
> In GNU Emacs 26.2.90 (build 1, x86_64-apple-darwin18.6.0, Carbon Version 158 AppKit 1671.5)

Doesn't happen here[1], I just get nil.  Can you show a backtrace with a
gdb (or lldb if that's not available)?

[1]: In GNU Emacs 26.2.90 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw scroll bars)